Qt Reference Documentation

# QHelpContentModel Class Reference

The QHelpContentModel class provides a model that supplies content to views. More...

     #include <QHelpContentModel>

Inherits: QAbstractItemModel.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| ~QHelpContentModel ()
QHelpContentItem * | contentItemAt ( const QModelIndex & index ) const
void | createContents ( const QString & customFilterName )
bool | isCreatingContents () const

## Reimplemented Public Functions

virtual int | columnCount ( const QModelIndex & parent = QModelIndex() ) const
virtual QVariant | data ( const QModelIndex & index, int role ) const
virtual QModelIndex | index ( int row, int column, const QModelIndex & parent = QModelIndex() ) const
virtual QModelIndex | parent ( const QModelIndex & index ) const
virtual int | rowCount ( const QModelIndex & parent = QModelIndex() ) const

- 35 public functions inherited from QAbstractItemModel
- 29 public functions inherited from QObject

## Signals

void | contentsCreated ()
void | contentsCreationStarted ()

- 18 signals inherited from QAbstractItemModel
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 2 public slots inherited from QAbstractItemModel
- 1 public slot inherited from QObject
- 7 static public members inherited from QObject
- 21 protected functions inherited from QAbstractItemModel
- 8 protected functions inherited from QObject
- 1 protected slot inherited from QAbstractItemModel

## Detailed Description

The QHelpContentModel class provides a model that supplies content to views.

## Member Function Documentation

### QHelpContentModel::~QHelpContentModel ()

Destroys the help content model.

### int QHelpContentModel::columnCount ( const QModelIndex & parent = QModelIndex() ) const`[virtual]`

Reimplemented from QAbstractItemModel::columnCount().

Returns the number of columns under the given parent. Currently returns always 1.

### QHelpContentItem * QHelpContentModel::contentItemAt ( const QModelIndex & index ) const

Returns the help content item at the model index position index.

### void QHelpContentModel::contentsCreated ()`[signal]`

This signal is emitted when the contents have been created.

### void QHelpContentModel::contentsCreationStarted ()`[signal]`

This signal is emitted when the creation of the contents has started. The current contents are invalid from this point on until the signal contentsCreated() is emitted.

See also isCreatingContents().

### void QHelpContentModel::createContents ( const QString & customFilterName )

Creates new contents by querying the help system for contents specified for the customFilterName.

### QVariant QHelpContentModel::data ( const QModelIndex & index, int role ) const`[virtual]`

Reimplemented from QAbstractItemModel::data().

Returns the data stored under the given role for the item referred to by the index.

### QModelIndex QHelpContentModel::index ( int row, int column, const QModelIndex & parent = QModelIndex() ) const`[virtual]`

Reimplemented from QAbstractItemModel::index().

Returns the index of the item in the model specified by the given row, column and parent index.

### bool QHelpContentModel::isCreatingContents () const

Returns true if the contents are currently rebuilt, otherwise false.

### QModelIndex QHelpContentModel::parent ( const QModelIndex & index ) const`[virtual]`

Reimplemented from QAbstractItemModel::parent().

Returns the parent of the model item with the given index, or QModelIndex() if it has no parent.

### int QHelpContentModel::rowCount ( const QModelIndex & parent = QModelIndex() ) const`[virtual]`

Reimplemented from QAbstractItemModel::rowCount().

Returns the number of rows under the given parent.